Bug 249148 - fixfiles -R doesn't complain about misspelled RPM names
Summary: fixfiles -R doesn't complain about misspelled RPM names
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-21 13:34 UTC by Tony Nelson
Modified: 2008-01-21 15:42 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 15:42:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
print error message on missing rpm for `fixfiles -R` (304 bytes, patch)
2007-07-21 13:34 UTC, Tony Nelson
no flags Details | Diff

Description Tony Nelson 2007-07-21 13:34:01 UTC
Description of problem:
This command produces no output, as if the package verified OK:

fixfiles -R nonexistantpackage verify

The attached patch makes fixfiles output:
nonexistantpackage not found

Version-Release number of selected component (if applicable):
policycoreutils-1.34.1-9.fc6.i386

How reproducible:
always

Steps to Reproduce:
1.fixfiles -R nonexistantpackage verify
2.
3.
  
Actual results:
no output, as if nonexistantpackage verified OK

Expected results:
complaint that nonexistantpackage does not exist

Additional info:

Comment 1 Tony Nelson 2007-07-21 13:34:01 UTC
Created attachment 159725 [details]
print error message on missing rpm for `fixfiles -R`

Comment 2 Daniel Walsh 2007-07-23 14:29:10 UTC
Applied in policycoreutils-2.0.22-7 in rawhide.

Will backport in next release.


Note You need to log in before you can comment on or make changes to this bug.